Bug 802187 - Translation Unit Details too noisy in editor
Translation Unit Details too noisy in editor
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Linux
unspecified Severity low
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 20:24 EDT by Hedda Peters
Modified: 2012-11-07 01:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120921-0015)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-03-11 20:24:37 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

The Translation Unit Details have been moved to within the translation editor and are displayed underneath the mgsid everytime you open a message in the editor.
This is too noisy and distracts from the msgid.
While you can hide those details, they will show again when opening the next message.


Reproducible: Always




Suggestion: Making the display of those Details optional
Comment 1 Sean Flanigan 2012-07-03 02:21:02 EDT
I think it's important to make the extracted source comments, if any, fairly visible, but perhaps we could hide the other details.

And we could make the folding/unfolding (of the other details) persistent between rows.  The same probably goes for validation warnings on the RHS.
Comment 2 Hedda Peters 2012-07-03 02:23:09 EDT
(In reply to comment #1)
> I think it's important to make the extracted source comments, if any, fairly
> visible, but perhaps we could hide the other details.

Agreed.

> 
> And we could make the folding/unfolding (of the other details) persistent
> between rows.  

Agreed again, that seems like a good solution to me.
Comment 3 Patrick Huang 2012-09-17 21:24:47 EDT
committed as part of editor rewrite https://bugzilla.redhat.com/show_bug.cgi?id=844820
Comment 4 Ding-Yi Chen 2012-09-20 22:35:26 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120921-0015)
Comment 5 Sean Flanigan 2012-11-07 01:19:38 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.